/// <reference types="bn.js" />
import { TradeDataInfo as TradeDataInfoV2 } from "../../../src";
import { BN } from "@project-serum/anchor";
export declare enum Version {
    Old = "Old",
    Current = "Current"
}
export type ITradeDataInfo = TradeDataInfoV2 & {
    version: Version;
    joinedAt: BN;
};
export declare const ITradeState: {
    Awaiting: {
        awaiting: {};
    };
    Deposited: {
        deposited: {};
    };
    Disputed: {
        disputed: {};
    };
    Released: {
        released: {};
    };
    Canceled: {
        canceled: {};
    };
};
export declare const IDisputeAction: {
    Release: {
        release: {};
    };
    Cancel: {
        cancel: {};
    };
};
export declare const ICompensationAction: {
    NoCompensate: {
        noCompensate: {};
    };
    CompensateSeller: {
        compensateSeller: {};
    };
    CompensateBuyer: {
        compensateBuyer: {};
    };
};
